<?php

App::uses('Controller', 'Controller');
App::uses('TextExtHelper', 'EvCore.View/Helper');
App::uses('View', 'View');

class TextExtHelperTest extends CakeTestCase {

	public $Text = null;

	public function setUp() {
		parent::setUp();
		$Controller = new Controller();
		$View = new View($Controller);
		$this->Text = new TextExtHelper($View);
	}

	public function testTruncationWithNewLines() {
		$expected = '<p>Hello</p> <p>Goodbye</p>';
		$result = $this->Text->truncate("<p>Hello</p>\n<p>Goodbye</p>");
		$this->assertEquals($expected, $result);
	}

}
